# スタートボタン：オリジナルのボタンを実装する

独自のUIで起動操作を行うための方法です。既存のWebサイトとの統合にも便利です。

### **使えるシーン**

* カスタムUIへの統合
* UX改善

### **実装のポイント**

* ボタン設置の例（HTML）
* 発話トリガーの呼び出し（JavaScript）
* DOM要素の取得とイベント登録方法

```jsx
<script>
	const uneeqInstance = new Uneeq(options)
</script>

<button id="start-btn">起動ボタン</button>
<script>
	document.getElementById('start-btn').addEventListener('click', () => {
		uneeqInstance.startSession()
	});
</script>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.digitalhumans.jp/ops/experience/custom-start-button.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
